#
#   - Encode-HanExtra -
#   This spec file was automatically generated by cpan2rpm [ver: 2.028]
#   The following arguments were used:
#       --spec-only --make-maker=INSTALLDIRS=vendor Encode::HanExtra
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define pkgname Encode-HanExtra
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

name:      perl-Encode-HanExtra
summary:   Encode-HanExtra - Extra sets of Chinese encodings
version:   0.23
release:   1%{?dist}
license:   Artistic or GPL
group:     Applications/CPAN
url:       http://www.cpan.org
buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
prefix:    %(echo %{_prefix})
source:    http://search.cpan.org//CPAN/authors/id/A/AU/AUDREYT/Encode-HanExtra-0.23.tar.gz
buildrequires: perl >= 5.8.0, grep, findutils
requires: perl >= 5.8.0

%description
This module implements Microsoft compatible encodings for Chinese.
    This version includes the following encoding tables:

      Canonical   Alias                             Description
      -----------------------------------------------------------------------------
      big5-1984   /\b(tca-)?big5-?(19)?84$/i        TCA's original Big5-1984
      big5-2003   /\b(cmex-)?big5-?(20)?03$/i       Big5-2003 (national standard)
      big5ext     /\b(cmex-)?big5-?e(xt)?$/i        CMEX's Big5e Extension
      big5plus    /\b(cmex-)?big5-?p(lus)?$/i       CMEX's Big5+ Extension
                  /\b(cmex-)?big5\+$/i
      cccii       /\b(ccag-)?cccii$/i               Chinese Character Code for
                                                    Information Interchange
      cns11643-1  /\bCNS[-_ ]?11643[-_]1$/i         Taiwan's CNS map, plane 1
      cns11643-2  /\bCNS[-_ ]?11643[-_]2$/i         Taiwan's CNS map, plane 2
      cns11643-3  /\bCNS[-_ ]?11643[-_]3$/i         Taiwan's CNS map, plane 3
      cns11643-4  /\bCNS[-_ ]?11643[-_]4$/i         Taiwan's CNS map, plane 4
      cns11643-5  /\bCNS[-_ ]?11643[-_]5$/i         Taiwan's CNS map, plane 5
      cns11643-6  /\bCNS[-_ ]?11643[-_]6$/i         Taiwan's CNS map, plane 6
      cns11643-7  /\bCNS[-_ ]?11643[-_]7$/i         Taiwan's CNS map, plane 7
      cns11643-f  /\bCNS[-_ ]?11643[-_]f$/i         Taiwan's CNS map, plane F
      euc-tw      /\beuc.*tw$/i                     EUC (Extended Unix Character)
                  /\btw.*euc$/i
      gb18030     /\bGB[-_ ]?18030$/i               GBK with Traditional Characters
      unisys      /\bunisys$/i                      Unisys Traditional Chinese
      unisys-sosi1                                  Unisys SOSI1 transport encoding
      unisys-sosi2                                  Unisys SOSI2 transport encoding

#
# This package was generated automatically with the cpan2rpm
# utility.  To get this software or for more information
# please visit: http://perl.arix.com/
#

%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} 
%if %maketest
%{__make} test
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

cmd=/usr/share/spec-helper/compress_files
[ -x $cmd ] || cmd=/usr/lib/rpm/brp-compress
[ -x $cmd ] && $cmd

# SuSE Linux
if [ -e /etc/SuSE-release -o -e /etc/UnitedLinux-release ]
then
    %{__mkdir_p} %{buildroot}/var/adm/perl-modules
    %{__cat} `find %{buildroot} -name "perllocal.pod"`  \
        | %{__sed} -e s+%{buildroot}++g                 \
        > %{buildroot}/var/adm/perl-modules/%{name}
fi

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%{__perl} -MFile::Find -le '
    find({ wanted => \&wanted, no_chdir => 1}, "%{buildroot}");
    print "%doc  ucm inc Changes README";
    for my $x (sort @dirs, @files) {
        push @ret, $x unless indirs($x);
        }
    print join "\n", sort @ret;

    sub wanted {
        return if /auto$/;

        local $_ = $File::Find::name;
        my $f = $_; s|^\Q%{buildroot}\E||;
        return unless length;
        return $files[@files] = $_ if -f $f;

        $d = $_;
        /\Q$d\E/ && return for reverse sort @INC;
        $d =~ /\Q$_\E/ && return
            for qw|/etc %_prefix/man %_prefix/bin %_prefix/share|;

        $dirs[@dirs] = $_;
        }

    sub indirs {
        my $x = shift;
        $x =~ /^\Q$_\E\// && $x ne $_ && return 1 for @dirs;
        }
    ' > %filelist

[ -z %filelist ] && {
    echo "ERROR: empty %files listing"
    exit -1
    }

%post
# add Encode::EUCJPMS to Encode::ConfigLocal
enc2xs -C > /dev/null 2>&1
exit 0

%postun
# remove Encode::EUCJPMS from Encode::ConfigLocal
enc2xs -C > /dev/null 2>&1
exit 0

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %filelist
%defattr(-,root,root)

%changelog
* Wed Apr 8 2009 Hua Jie <jie.hua@asianux.com> 0.23-1%{?dist}
- Initial build. ( buildng for AXBug #6007)
- License is changed to the same "Artistic or GPL" as Perl
- add "buildrequires:" and "requires:"
- add %%post and %%postun sections
- remove "buildarch: noarch"

